# Программа играющая с пользователем в города

if (Gem.win_platform?)
  Encoding.default_external = Encoding.find(Encoding.locale_charmap)
  Encoding.default_internal = __ENCODING__

  [STDIN, STDOUT].each do |io|
    io.set_encoding(Encoding.default_external, Encoding.default_internal)
  end
end

require_relative 'game.rb'
require "unicode_utils/upcase"
# подключаю либы для работы с сетью и json
require "net/http"
require "uri"
require "json"

game = Game.new

finish = false
# Если finish не false заканчиваю игру
until finish

  # Юзер вводит город
  puts "\nВведите название города."
  user_city = STDIN.gets.chomp
  # Если юзер ввел город с маленькой буквы
  user_city[0] = UnicodeUtils.upcase(user_city[0])

  until game.get_query(user_city)
    puts "А может пора заканчивать?\n1. Продолжим\n2. Завершим"
    stop = STDIN.gets.chomp
    if stop == '1'
      puts "\nВведите название города."
      user_city = STDIN.gets.chomp
    else
      puts 'Спасибо за игру.'
      abort
    end
  end
  # Если такой город уже есть
  while game.test_used?(user_city)
    puts "Такой город уже был, попробуйте другой."
    user_city = STDIN.gets.chomp
  end

  # Показываю на какую букву надо вводить город компу
  puts "\n Мне на '#{game.last_letter(user_city)}'"
  # Ход компа


  # Добавляю город введённый юзером в массив
  game.add_city(user_city)
  # Показываю названные города
  puts "\nИспользованные названия городов:\n"
  game.used_city
end
